π Get latest Ethereum block
Code samples
GET /api/v1/eth/block/last
Returns the most recent block from the Ethereum blockchain using eth_getBlockByNumber with the latest tag.
Example responses
200 Response
{
"number": "0x1234abcd",
"hash": 0,
"parentHash": "string",
"nonce": "string",
"sha3Uncles": "string",
"logsBloom": "string",
"transactionsRoot": "string",
"stateRoot": "string",
"receiptsRoot": "string",
"miner": "string",
"difficulty": "string",
"totalDifficulty": "string",
"extraData": "string",
"size": "string",
"gasLimit": "string",
"gasUsed": "string",
"timestamp": "string",
"baseFeePerGas": "string",
"transactions": [
"string"
],
"uncles": [
"string"
]
}
π Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Latest Ethereum block | Inline |
| 500 | Internal Server Error | Could not connect to ETH node | None |
π Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » number | string¦null | false | none | Block number as hex QUANTITY, or null for pending blocks. |
| » hash | string¦null | false | none | Hash of the block, or null for pending blocks. |
| Β» parentHash | string | false | none | Hash of the parent block. |
| » nonce | string¦null | false | none | none |
| Β» sha3Uncles | string | false | none | none |
| » logsBloom | string¦null | false | none | none |
| Β» transactionsRoot | string | false | none | none |
| Β» stateRoot | string | false | none | none |
| Β» receiptsRoot | string | false | none | none |
| Β» miner | string | false | none | Address of the block proposer/miner. |
| Β» difficulty | string | false | none | none |
| Β» totalDifficulty | string | false | none | none |
| Β» extraData | string | false | none | none |
| Β» size | string | false | none | none |
| Β» gasLimit | string | false | none | none |
| Β» gasUsed | string | false | none | none |
| Β» timestamp | string | false | none | Block timestamp as hex QUANTITY. |
| » baseFeePerGas | string¦null | false | none | none |
| Β» transactions | array | false | none | Array of transaction hashes or transaction objects. |
| Β» uncles | [string] | false | none | none |